Redguides/NotAddicted.com included macros help.

MACROS  
    Alctol.mac - Alcohol tolerance skill trainer by Bror
    Bazaar.mac - Automatically update the prices of your buyer or trader
    Kissassist.mac - All class easy to use assist macro
    Cskillup.mac - Spell Casting Skillup Trainer Macro
    Combine.mac - Tradeskills Combine Macro by Siddin
    
INCLUDE FILES
    bazaar.inc - Support file for bazaar.mac
    ninjadvloot.inc - Support file to handle looting in macros
    spell_routines.inc - Support file for spell casting in macros

MACROS ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    
Alcohol tolerance skill trainer by Bror - alctol.mac v1.1 11-02-2010
    Updated by Maskoi
    This macro will keep buying and drinking 1 stack of booze until you hit your desired skill level.

    1. Your inventory slot #8 needs to be empty
        1 2
        3 4
        5 6
        7 8
        9 10
    2 Change these 3 settings in the macro to match your needs
        /varset MerchantName Bixx Bartleby
        /varset Booze Brandy
        /varset MaxWanted 450
    3. Stand next the alcohol vendor you chose, empty zones are best.
        I was using Bixx Bartlebyin in Thurgadin
    4. Make sure you have enough plat to buy a lot of booze
    5. Type /mac alctol
    
Bazaar.mac 1.10 -- updated 04/06/2011

    This macro is used to automatically update the prices of your buyer or trader to remain competitive.           
    It also contains INI support to allow you to set minimum and maximum prices which your merchants will not pass           
    
    Optional but will keep your trader from selling the items below vendor prices or matching low prices like 2 pp
        1. Find the following line in bazaar.inc and set your minimum sell price.
            /declare SellPriceMin     int     outer   100 
        2. Run the macro with the make ini function
            /mac bazaar makeini
        3. Edit any SellPriceMin thats too low for items you want to sell at a certain price.       
    
    Fast Start 
        1. Price everything that has no intial price set in trader window
            /mac bazaar trader initprice
        2. Set macro to run once (UpdateOn = 0) or update prices on a time variable (Default every 90 min UpdateOn = 1)
            /declare UpdateOn            int         outer   1
            /declare UpdateInterval      int         outer   90
        3. Run the macro and you are good to go
            /mac bazaar trader
    
    Usage:                       
    /mac bazaar trader
    updates your /trader

    /mac bazaar buyer                   
    updates your buyer 

    /mac bazaar trader initprice
    Sets all unpriced items in Bazaar/Trader Window to InitialPrice variable (default 1000)

    /mac bazaar makeini
    To create an entry for each item shown in your trader window in the Bazaar.ini.               

    INI format: Prices are in plat or pp value. VendorPrice is in "pp gp sp cp" format for quick reference only.                   
    bazaar.ini:                       
    [Elegant Defiant Leather Gloves]
    SellPriceMin=100
    SellPriceMax=400
    BuyPriceMin=50
    BuyPriceMax=125
    VendorPrice=8pp 1gp 9sp 2cp       

Kiss Assist All class assist macro - kissassist.mac v3.5 by Maskoi 04/09/2011
    This macro is written for exclusive use by RedGuides/NotAddicted.com Level 2 Subscribers Only.
    It is not to be redistributed or repackaged on other boards or websites without MY permission.
    © 2011 Maskoi www.notaddicted.com
    
    Current Features
        * Supports all classes for DPS Melee, Caster and Bards
        * Supports any level character
        * Select Player, Mercenary or Pet as Main Assist
        * Toons can follow Main Assist, remain stationary or return to anchor spot after mob dies.
        * Pets supported
        * Keep all buffs up Auras, Group, Self, Pet and Clickys
        * Creates an ini file for each toon
        * Separate Melee and Casting DPS settings.
        * Single Buff section for ease of use supports Spells/AA's/Items
        * Single DPS section for ease of use Spells/AA's/Items/Discs
        * Auto Mana/Endurance med detection depending on class.
        * Med settings to turn ON/Off and percentages to Start/Stop
        * Separate Bard twist setting for combat and non combat
        * Single Heal section for ease of use. Heal with any class
        * Loot mobs and set up what items to keep. sell, or destroy via ninjadvloot and separate loot.ini file
        * Auto accept rez if turned on via MR2Rez
        * Mount support AA or Item.
        * Basic Mez Feature - Currently under testing.
        * Auto detect progression servers and set variables accordingly for features not yet available. i.e. Extended Target Window.

    General Settings
        XTSlot Stands for Extended Target Slot. KissAssist uses the extended target to determine aggro. XTSlot (Default 1) allows people that have custom extended target to assign a custom slot #. The extended target slot you use should be set to auto.
        CampRadius - the distance ReturnToCamp uses to determine how far you are from your intial camp spot.
        CampRadiusExceed - Turns off ReturnToCamp if you move a large distance from camp. IE warp so toon doesn't try and run back.
        ReturnToCamp - If ReturnToCamp=1 and you move out of the CampRadius it will move you back to that spot after fight. (Note: Set ChaseAssist to 0 if using).
        ChaseAssist - If set to 1 macro will follow main assist around instead of returning to camp (Note: Set ReturnToCamp to 0 if using)
        ChaseDistance - How close you want toon to follow main assist
        MedOn - Turn medding feature on off. Auto detect mana or endurance depending on class
        MedStart - What mana/endurance percentage to start medding at default is 20%
        MedStop - What mana/endurance percentage to stop medding at default is 90%
        TwistOn =1 Bard will twist during non combat. TwistOn=0 Bard will NOT twist during non combat thus preventing song aggro.
        TwistWhat Song order to twist during non combat for MQ2Twist only valid i TwistOn=1 i.e. TwistWhat=7 10 4 6 5
        RezAcceptOn =1 Turns on auto accept rez
        PVPOn =1 - this setting is for player on the zek server. Allows PC's as a valid target type for dps.

    Melee Settings
        AssistAt - Mob health to assist/attack at
        MeleeOn - Turns physical melee on/off. (Note: Should be set to 0 for casters)
        MeleeDistance - Mob needs to be within this distance or toon won't attack.
        StickHow - Tell toon how to stick to mob when fighting. Any mq2moveutils /stick command should be valid. i.e !front, behindonce, snaproll etc
        MeleeTwistOn =1 Bard can twist a different song list during combat. MeleeTwistOn=0 Bard will twist regular or not change order if TwistOn=1
        MeleeTwistWhat - Song order to twist during combat for MQ2Twist only valid if MeleeTwistOn=1 i.e. MeleeTwistWhat==9 8 4 5 10

    DPS Settings
        DPSOn - Use spell/item/AA/disc casting feature. Requires MQ2cast
        DPSSkip - Stop casting when mob reaches this health percentage default 20
        DPSInterval - Amount of time in seconds between DPS casting
        If you are nuking/doting too much or too fast you can slow down by increasing time between casts. (Default 5 seconds)
        DPS1-8 List your spells in order of casting. Beastlord example below
            [DPS]
            DPSOn=1
            DPSSkip=20
            DPSInterval=5
            DPS1=Sha's Legacy
            DPS2=Ikaav Blood
            DPS3=Bite of the Vitrik
            DPS4=Frigid Lance Rk. II
            DPS5=NULL
            DPS6=NULL
            DPS7=NULL
            DPS8=NULL

    Buffs Settings
        BuffsOn - Turn buff feature on
        Buffs1-15 - Buffs you want to keep up on yourself and group. Recognizes single, self and group buffs whether its AA/Spell/Item.

        Unity & 2 part buffs like Unity of the Spirits must use the following syntax:
        Buff Name|Dual|Spell Name. See shaman example below
            Buffs1=Exigent Focusing Rk. II|Dual|Talisman of Soul's Unity Rk. II

        Mana Spells/AAs such as Paragon of Spirit/Canni are set in the following manner. Spell Name|Mana|% mana to cast at|% Health to to prevent casting.
        The health setting is only needed for spells that might kill the cast such as Canni/Death Blossom. It can be left off other spells.
        See example below:
            Buffs1=Paragon of Spirit|Mana|50
            Buffs2=Focused Paragon of Spirits|Mana|80
            Buffs1=Ancestral Covenant|Mana|90|20

        Auras have 3 parts. The spell name|Aura|The buff name as it appears in your song window.
        Auras Syntax: Spell Name|Aura|Song Window Buff See bard example below.
            Buffs7=Aura of the Poet Rk.II|Aura|Aura of the Poet Effect Rk.II

        Mounts can also be used under the Buffs section as follows
        Syntax: Mount Name|Mount see example below.
            Buffs1=Verdant Hedgerow Leaf|Mount

    Heal Settings
        HealsOn =1 Turns healing feature on.
        Heals1-8 - Heals you want you use and percent health to heal at using spell/item/AA

            * KissAssist automatically detects single or group spells. Currently the feature also supports cleric epic 1.5/2.0 and Divine Arbitration AA
            * KissAssist heal feature works by watching each group members health and heals the the member at lowest health.

        Heal Spells must use the following syntax: Spell Name|% health to heal at as seen below.
            Heals1=Devout Light Rk. II|50

        Group Heal Spells percentage represents an Average Group Heath. ie 3 toons at 50 70 100 health = 220/3 = 73% averaged group health.
        So if you set your spell to heal the group at 75 it will cast it as 73<75.
            Heals1=Devout Elixir Rk. II|75

        You can specify a heal spell for the Main Assist Only with the MA tag after the heal percentage.
            Heals3=Promised Recuperation|85|MA

        You can keep your heal spells listed and Turned Off with a 0 value as seen below
            Heals1=Devout Elixir Rk. II|0

        Here is an example of the Heals section for an 85 cleric
            [Heals]
            HealsOn=1
            Heals1=Twelfth Night|35
            Heals2=Devout Light Rk. II|50
            Heals3=Promised Recuperation|85|MA
            Heals4=Devout Elixir Rk. II|0
            Heals5=Aegis of Superior Divinity|20
            Heals6=Divine Arbitration|20
            Heals7=Elixir of Expiation Rk. II|60
            Heals8=NULL

    Pet Settings
        PetOn =1 Turns pet feature on. This includes all features below. If PetOn=0 will not summon,shrink or buff pet
        PetSpell - Spell to summon no/dead pet
        PetShrinkOn - Use pet shrink
        PetShrinkSpell - Pet shrink spell default is Tiny Companion
        PetHoldOn - use /pet hold on if you have the AA.
        PetBuffs1-8 - Buffs you want to keep up on your pet AA/Spell/Item

    Mez Settings - Currently in testing
        MezOn =1 Turn Mez on. =0 turns Mez feature off. (Default 0)
        MezRadius - Radius to detect mobs surrounding enchanter/bard (Default 50)
        MezMinLevel - Minimum level of mobs to mez within MezRadius
        MezMaxLevel - Maximum level of mobs to mez within MezRadius
        MezStopHPs - Mob HPs to stop mezzing at. (Default 80)
        MezSpell - Your mez spell or song

        Here is an example of the Mez section for a 65 Enchanter
            [Mez]
            MezOn=1
            MezRadius=50
            MezMinLevel=55
            MezMaxLevel=68
            MezStopHPs=80
            MezSpell=Bliss

Spell Casting Skillup Trainer Macro - cskillup.mac v1.2 02/28/2011
    Based on Arneweise's CastingSkillup.mac
    Updated by Maskoi

    Will mem basic low level spells for each class in gems 1-5 and cast them until your skills maxed.
        1. Check spell lists for your class spells in teh macro to make sure you have them all.
        2. /mac cskillup
        
Tradeskills Combine Macro by Siddin - combine.mac v1.1

   1. Get all the stuff to make your item
   2. Open your tradeskill window
   3. Select the recipe.  You need to have completed at least one successful combine to get the recipe in most cases. 
   4. /mac combine   
   
INCLUDE FILES ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

